Bug 1303398 - gdal-2.0.2 is available
gdal-2.0.2 is available
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-01-31 07:42 EST by Upstream Release Monitoring
Modified: 2016-02-14 21:52 EST (History)
9 users (show)

See Also:
Fixed In Version: gdal-2.0.2-1.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-14 21:52:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2016-01-31 07:42:19 EST
Latest upstream release: 2.0.2
Current version/release in rawhide: 2.0.1-5.fc24
URL: http://download.osgeo.org/gdal/CURRENT/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-31 07:42:58 EST
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: gdalautotest-2.0.1.tar.gz
old sha256: db1504f8a1584c22f50e196092aefa6043e6bccde5e9f5fca6910c6c3fdf30a2

new source: ./gdalautotest-2.0.1.tar.gz
new sha256: db1504f8a1584c22f50e196092aefa6043e6bccde5e9f5fca6910c6c3fdf30a2
Comment 2 Jozef Mlich 2016-02-01 03:06:50 EST
I have tried to rebase gdal to 2.0.2. Maybe you can use it.

I am not sure how many packages must be rebuilt with gdal. I guess at least postgis.
Comment 3 Volker Fröhlich 2016-02-01 12:46:04 EST
I already started doing it, but I'll have a look, thanks. Why do you have to rebuild anything?
Comment 4 Jozef Mlich 2016-02-01 13:18:22 EST
I taught that with new version comes new API and rebuild of dependencies is necessary always.
Comment 5 Volker Fröhlich 2016-02-01 13:31:07 EST
API changes are usually no reason for a rebuild. I am fairly sure there is no _ABI_ change in this minor update.
Comment 6 Upstream Release Monitoring 2016-02-04 15:08:05 EST
volter's gdal-2.0.2-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=725400
Comment 7 Fedora Update System 2016-02-04 18:41:53 EST
gdal-2.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb5cee691
Comment 8 Fedora Update System 2016-02-05 18:51:10 EST
gdal-2.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb5cee691
Comment 9 Upstream Release Monitoring 2016-02-08 18:00:40 EST
volter's gdal-2.0.2-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=734341
Comment 10 Upstream Release Monitoring 2016-02-13 20:30:53 EST
volter's gdal-2.0.2-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=735639
Comment 11 Fedora Update System 2016-02-14 21:52:35 EST
gdal-2.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.